<!-- @file Project Page -->
# Bootstrap

> Sleek, intuitive, and powerful mobile first front-end framework for faster and
> easier web development. Bootstrap has become one of the most popular front-end
> frameworks and open source projects in the world.

This base theme bridges the gap between Drupal and the [Bootstrap Framework].

### Features
- [jsDelivr CDN](http://www.jsdelivr.com) for "out-of-the-box" styling and
  faster page load times.
- [Bootswatch](http://bootswatch.com) theme support, if using the CDN.
- Glyphicons support via [Icon API](https://www.drupal.org/project/icon).
- Extensive integration and template/preprocessor overrides for most of the
  [Bootstrap Framework] CSS, Components and JavaScript
- Theme settings to further enhance the Drupal Bootstrap integration:
  - [Breadcrumbs](https://getbootstrap.com/docs/3.3/components/#breadcrumbs)
  - [Navbar](https://getbootstrap.com/docs/3.3/components/#navbar)
  - [Popovers](https://getbootstrap.com/docs/3.3/javascript/#popovers)
  - [Tooltips](https://getbootstrap.com/docs/3.3/javascript/#tooltips)
  - [Wells](https://getbootstrap.com/docs/3.3/components/#wells) (per region)

### Documentation
Visit the project's [official documentation site](https://drupal-bootstrap.org)
or the markdown files inside the `./docs` directory.

### Supported modules

**Drupal 8**
- [Bootstrap Layouts](https://www.drupal.org/project/bootstrap_layouts)

**Drupal 7**
- [Bootstrap Core](https://www.drupal.org/project/bootstrap_core)
- [jQuery Update](https://www.drupal.org/project/jquery_update)
- [Icon API](https://www.drupal.org/project/icon)
- [Picture](https://www.drupal.org/project/picture)
- [Views](https://www.drupal.org/project/views) _(partial support)_
- [Webform](https://www.drupal.org/project/webform) _(partial support)_

### 5 Year Evolution (gource)
https://youtu.be/Cvq6MPJp2dI

[Bootstrap Framework]: https://getbootstrap.com/docs/3.3/
